jang = {}

function jang.chooseMove(color, pieces)
  local moves = {}
  local chosen_from = 0
  local chosen_to = 0
  for _, v in pairs(pieces) do
    if engine.getColor(v.char) == color then
      for _, m in pairs (v.moves) do
        table.insert(moves, {from = v.index, to = m})
      end
    end
  end
  
  if #moves > 0 then
    local chosen_index = love.math.random(#moves)
    chosen_from = moves[chosen_index].from
    chosen_to = moves[chosen_index].to
  end
  
  return chosen_from, chosen_to
end
