state_pause = newState()

local font = love.graphics.newFont(50)

function state_pause.draw()
  love.graphics.setColor(0,0,0)
  love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
  love.graphics.setColor(1,1,1)
  love.graphics.setFont(font)
  love.graphics.print('PAUSED',
    love.graphics.getWidth() / 2 - font:getWidth('PAUSED') / 2,
    love.graphics.getHeight() / 2 - font:getHeight('PAUSED') / 2)
end

function state_pause.mousepressed(x, y, button)
  state_machine.pop()
end
function state_pause.keypressed(key)
  state_machine.pop()
end
